//
//  Circle class.hpp
//  Visual CP 1
//
//  Created by james carty on 08/02/2018.
//

#ifndef Circle_class_hpp
#define Circle_class_hpp

#include "ofMain.h"

class CircleClass{
public:
    void setup();
    void update();
    void draw();
    
    
    ofParameterGroup circleParams;
    ofParameter<int> circleRes;
    ofParameter<float> release;
    ofParameter<float> size;
    
//position parameters
    ofParameter<int> posX;
    ofParameter<int> posY;
    
//rotation parameters
    ofParameter<float> rotateX; //parameters for rotation
    ofParameter<float> rotateY;
    ofParameter<float> rotateZ;
    
//colour paramteres
    ofParameter<int> red;
    ofParameter<int> green;
    ofParameter<int> blue;
    ofParameter<int> alpha;
    
    float rotationX = 0.0; //storing rotation values
     float rotationY = 0.0;
     float rotationZ = 0.0;
    
    float * fftSmooth; //float pointer - Smoother for the signal
    int bands; //bands of frequency
};





#endif /* Circle_class_hpp */
